Subject: Re: bug#33769: 27.0.50; NSM and Emacs locked up
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], Live System User <[email-masked]>
Date: Wed, 06 Nov 2019 01:48:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Live System User <[email-masked]> writes:
>
>>         While starting up Gnus, the NSM presented me with a
>>         dialog to accept a certicate.  I pressed "s" for
>>         "Session only" but noyhing happened: the prompt to
>>         "Continue connectinh?" remained in the echo area.
>>
>>         I starced" the Emacs process and saw that it was in a
>>         tight loop printing:
>>
>> recvmsg(6, {msg_namelen=0}, 0)          = -1 EAGAIN (Resource temporarily unavai
>> lable)
>>
>>         several times a second.
>>
>>         "C-g" woulf not abort nor allow me to interact with the
>>         Emacs process.
>
> Is this something you can reproduce on the trunk now?  The NSM prompting
> has gotten a bit of rework on certain input situations...

More information was requested, but none was given within 17 weeks.  I
also can't reproduce this on Emacs 27.  I'm therefore going to assume
that this has been fixed and close this bug.

If anyone can still reproduce this, please report back and/or reopen
the bug report.

Best regards,
Stefan Kangas